Story/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('story4.urls')),
]

story4/urls.py
from django.urls import path
from . import views

app_name = 'story4'

urlpatterns = [
    path('', views.pageone, name='pageone'),
    path('pagetwo/', views.pagetwo, name='pagetwo'),
    path('pagethree/', views.pagethree, name='pagethree'),
    path('pagefour/', views.pagefour, name='pagefour'),
    path('pagefive/', views.pagefive, name='pagefive'),
    path('story1/', views.story1, name = 'story1'),
]

story4/models.py
from django.db import models

# Create your models here.

story4/views.py
from django.shortcuts import render

def pageone(request):
    return render(request,'pageone.html')

def pagetwo(request):
    return render(request,'pagetwo.html')

def pagethree(request):
    return render(request,'pagethree.html')

def pagefour(request):
    return render(request,'pagefour.html')

def pagefive(request):
    return render(request,'pagefive.html')

def story1(request):
    return render(request, 'story1-ali.html')

story4/templates/base.html
<!DOCTYPE html>
{% load static %}
{% url 'story4:pageone' as one_url %}
{% url 'story4:pagetwo' as two_url %}
{% url 'story4:pagethree' as three_url %}
{% url 'story4:pagefour' as four_url %}
{% url 'story4:pagefive' as five_url %}
{% url 'story4:story1' as story1 %}

<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

    <link rel="stylesheet" href="{% static 'css/style.css'%}">
    
    <title>{% block title %}{% endblock title %}</title>
</head>
{% if request.path == one_url %}
<body class = 'pageone'>
{% endif %}
{% if request.path == two_url %}
<body class = 'pagetwo'>
{% endif %}
{% if request.path == three_url %}
<body class = 'pagethree'>
{% endif %}
{% if request.path == four_url %}
<body class = 'pagefour'>
{% endif %}
{% if request.path == five_url %}
<body class = 'pagefive'>
{% endif %}

    {% if request.path == one_url %}
    <div class="container-fluid">

        <div class="row">
            <br><br><br><br><br><br><br><br><br>
        </div>

        <div class="row">
            <div class="jumbotron jumbotron-fluid j1">
                <div class="container">
                    <div class="row">
                        <br><br><br><br><br>
                    </div>
    {% include 'navbar.html' %}
    {% else %}
    {% include 'navbar.html' %}
    {% endif %}
    <div class="content">
        {% block content %}
        {% endblock content %}
    </div>
</body>
</html>

story4/templates/navbar.html
{% load static %}
<nav class="navbar navbar-expand-sm navbg">
        
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"><img src="{% static 'images/buttondown.png' %}" class="down"></img></span>
    </button>
      
    <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item">
            <a class="nav-link text1"style="color:black" href="{{one_url}}">home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text1"style="color:black" href="{{two_url}}">about me</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text1" style="color:black" href="{{three_url}}">experience</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text1" style="color:black" href="{{four_url}}">skill</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text1" style="color:black" href="{{five_url}}">contact me</a>
          </li>
          <li class="nav-item">
            <a class="nav-link text1" style="color:black" href="{{story1}}">Story 1</a>
          </li>
        </ul>
    </div>

</nav>

story4/templates/pagefive.html
{% extends "base.html" %}
{% load static %}
{% block title %}Experience{% endblock title %}
{% block content %}

<div class="container">
    <br><br><br><br><br>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="card text-center j5" style="width: 33rem;">
            <div class="card-header chd1">
                Hit me up
            </div>
            <div class="card-body">   
            </div>
            <div class="card-body">
                <a class="text-center" href="https://www.linkedin.com/in/ali-a-516112128" target="blank"><img src="{% static 'images/linkedin.png' %}" class="icon1"></a>
            </div>
            <div class="card-body">   
            </div>
            <div class="card-body text-center">
                <div class="row">
                    <div class="col-sm-4">
                        <a class="text-center" href="http://line.me/ti/p/~aliasadillah_" target="blank"><img src="{% static 'images/line.png' %}" class="icon1"></a>
                    </div>
                    <div class="col-sm-4">
                        <a class="text-center" href="https://wasap.at/pTjgrK" target="blank"><img src="{% static 'images/whatsapp.png' %}" class="icon1"></a>
                    </div>
                    <div class="col-sm-4">
                        <a class="text-center" href="https://www.instagram.com/ali.asadillah/" target="blank"><img src="{% static 'images/instagram.png' %}" class="icon1"></a>
                    </div>
                </div>
            </div>
            <div class="card-body">   
            </div>
            <div class="card-body">
                <a class="text-center" href="https://twitter.com/bambujel" target="blank"><img src="{% static 'images/twitter.png' %}" class="icon1"></a>
            </div>
        </div>
    </div>
</div>

{% endblock content %}

story4/templates/pagefour.html
{% extends "base.html" %}
{% load static %}
{% block title %}Experience{% endblock title %}
{% block content %}

<div class="container">
    <br><br><br><br><br><br>
</div>

<div class="container-fluid">
    <div class="row justify-content-around">

        <div class="col-md-5">
            <div class="jumbotron j4">
                <h1 class="text-center">Skill bar</h1>
                <br><br>
                <p>Skill 1</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 25%" aria-valuenow="25" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br>
                <p>Skill 2</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 45%" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br>
                <p>Skill 3</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 77%" aria-valuenow="77" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p>Skill 4</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 33%" aria-valuenow="33" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br><br>
            </div>
        </div>

        <div class="col-md-5">
            <div class="jumbotron j4">
                <h1 class="text-center">Skill bar</h1>
                <br><br>
                <p>Skill 1</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 40%" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br>
                <p>Skill 2</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 55%" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br>
                <p>Skill 3</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 12%" aria-valuenow="12" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <p>Skill 4</p>
                <div class="progress">
                    <div class="progress-bar bgprog" role="progressbar" style="width: 89%" aria-valuenow="89" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <br><br>
            </div>
        </div>

    </div>
</div>
{% endblock content %}

story4/templates/pageone.html
{% extends "base.html" %}
{% load static %}
{% block title %}Homepage Debut{% endblock title %}
{% block content %}
<!-- Halo -->
{% endblock content %}

story4/templates/pagethree.html
{% extends "base.html" %}
{% load static %}
{% block title %}Experience{% endblock title %}
{% block content %}

<div class="container">
    <br><br><br><br><br>
</div>

<div class="container c3">

    <div class="row text-center">
        <div class="col-md-4"></div>
        <div class="col-md-4">
        <p class="exp">EXPERIENCE</p>
        </div>
        <div class="col-md-4"></div>
    </div>
    <div class="row">
        <br>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>
    <div class="row text-center">
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
        <div class="col-sm-6">
            <p><img src="{% static 'images/poin.png' %}">&nbsp;&nbsp;&nbsp;a list item</p><br>
        </div>
    </div>

</div>

{% endblock content %}

story4/templates/pagetwo.html
{% extends "base.html" %}
{% load static %}
{% block title %}Profile Debut{% endblock title %}
{% block content %}

<div class="container-fluid">
    <div class="row">
        <br><br><br><br><br>
    </div>
    <div class="row text-center">
        <div class="col-lg-4 align-self-end">
            <img src="{% static 'images/person.jpg' %}" class="person">
        </div>
        <div class="col-lg-7">
            <div class="card c1">
                <h1>about</h1>
                <br>
                <p style = 'font-size: 35px ;'>Nama saya Muhammad Ali Asadillah, saya kuliah di universitas indonesia.
                    Saya berjurusan ilmu komputer. Saya sendiri suka design grafis dan juga
                    saya kuat dalam me manage suatu tim karena saya berpengalaman menjadi
                    Person In Charge.
                </p>
                <br>
                <br>
                <br>
            </div>
        </div>
    </div>
</div>

{% endblock content %}

story4/templates/story1-ali.html
{% extends "base.html" %}
{% load static %}
{% block title %}Story 1{% endblock title %}
{% block content %}
      <style>
body {
	   background-image: url('https://img.freepik.com/free-photo/multicolored-paper-background_23-2148182446.jpg?size=626&ext=jpg');
      background-repeat:no-repeat;
      background-size:cover;
      text-align: center;
}
#example1 {
  border: 2px solid white;
  padding: 10px;
  margin-left:100px;
  margin-right:100px;

}
</style>
   
   <div id="example1">
   
      <h1>Profilku!</h1>
      <img src="https://instagram.fcgk18-1.fna.fbcdn.net/v/t51.2885-19/s150x150/20185016_104419720235247_7295857204798685184_a.jpg?_nc_ht=instagram.fcgk18-1.fna.fbcdn.net&_nc_cat=103&_nc_ohc=AjCUDQaKHXUAX_j4esE&oh=e1abcb889879a1e4e86d8e6d23e11695&oe=5F9406EE" alt="fotoku:)"style="width:200px;height:200px;"border = "2px;">
      <h2>Nama</h2><p>Muhammad Ali Asadillah<br>NPM : 1806186660</p>
      <h3>Angkatan</h3><p>Quanta(2018)</p>
      <h3>Hobi</h3><p>Bermain basket</p>
      <h2>Deskripsi singkat</h2>
      <p>Saya anak ke-2 dari 4 bersaudara</p>
      
   </div>


{% endblock content %}